Package picard.illumina

## Class IlluminaLaneMetrics

- java.lang.Object
- - htsjdk.samtools.metrics.MetricBase
  - - picard.illumina.IlluminaLaneMetrics

-     public class IlluminaLaneMetrics
      extends htsjdk.samtools.metrics.MetricBase

  Embodies characteristics that describe a lane.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `Double` | `CLUSTER_DENSITY` | The number of clusters per unit area on the this lane expressed in units of [cluster / mm^2].
    `Long` | `LANE` | This lane's number.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IlluminaLaneMetrics()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static String` | `getExtension()` | This property is not exposed in a field to avoid complications with MetricBase's dependency on reflection.

    - ### Methods inherited from class htsjdk.samtools.metrics.MetricBase

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CLUSTER_DENSITY

          public Double CLUSTER_DENSITY

      The number of clusters per unit area on the this lane expressed in units of [cluster / mm^2].

    - #### LANE

          public Long LANE

      This lane's number.

  - ### Constructor Detail

    - #### IlluminaLaneMetrics

          public IlluminaLaneMetrics()

  - ### Method Detail

    - #### getExtension

          public static String getExtension()

      This property is not exposed in a field to avoid complications with MetricBase's dependency on reflection.